from Screens.NotificationQueueViewer import NotificationQueueViewer, ICON_PENDING, ICON_SEEN
from Tools import Notifications

class MerlinRemuxNotificationQueueViewer(NotificationQueueViewer):
	
	def __init__(self, session):
		NotificationQueueViewer.__init__(self, session)
		self.skinName = ["MerlinRemuxNotificationQueueViewer", "NotificationQueueViewer"]
	
	def refreshList(self):
		entries = []
		for entry in reversed(Notifications.notificationQueue.queue):
			if entry.domain == "MerlinRemux":
				timetext = entry.timestamp.strftime("%Y-%m-%d\n%H:%M:%S")
				domain = Notifications.notificationQueue.domains[entry.domain]
				entries.append((entry, timetext, domain["icon"], domain["name"], entry.text, ICON_PENDING if entry.pending else ICON_SEEN))
		num_pending = len(Notifications.notificationQueue.getPending("MerlinRemux"))
		self["notifications"].list = entries
		self["label_results"].text = _("%i entries (%i pending)") % (len(entries), num_pending)
		self.selectionChanged()
	
	def checkNotifications(self):
		self.refreshList()

